Name:           libopensync-plugin-opie
Epoch:          1
Version:        0.22
Release:        13%{?dist}
Summary:        Synchronisation with the Opie handheld environment

Group:          System Environment/Libraries
License:        GPLv2 and MIT
# For a breakdown of the licensing, see PACKAGE-LICENSING 
URL:            http://www.opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
Source1:        PACKAGE-LICENSING
Patch0:         libopensync-plugin-opie-curl-setopt.patch
Patch1:         libopensync-plugin-opie-curl-include.patch
Patch2:         libopensync-plugin-opie-gcc48.patch
Patch3:         libopensync-plugin-opie-format-security.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel = 1:0.22
BuildRequires:  libcurl-devel
BuildRequires:  openssl-devel

%description
This OpenSync plugin is intended to allow synchronisation with the Opie
handheld environment (http://opie.handhelds.org).

%prep
%setup -q
%patch0 -b curlsetopt
%patch1 -p1 -b curlinclude
%patch2 -p1 -b .gcc48
%patch3 -p1 -b .format-security

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

cp %{SOURCE1} PACKAGE-LICENSING

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README PACKAGE-LICENSING
%{_libdir}/opensync/plugins/opie_sync.so
%{_libdir}/opensync/formats/opie.so
%{_datadir}/opensync/defaults/opie-sync

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1:0.22-12
- Fix FTBFS with gcc-4.8 (#914140, #992107)
- Fix FTBFS with -Werror=format-security (#1106050)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-8
- fix ftbfs (#843241)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1:0.22-4
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 11 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-2
- Use versioned BR
- fix license and add file breakdown

* Sat Feb 07 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-1
- downgrade (#474070)

* Fri Jun 20 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.36-1
- version upgrade

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-3
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-2
- use cmake macro

* Thu Dec 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-1
- initial version
